OpenAPI SpecificationJSON
API Reference

Organization

Organization is a basic unit that contains all objects that are required to fully use Rossum platform.

Organization

Attribute
Type
Description
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false

List organizations

GET api / v1 / organizations

Retrieve all organization objects.

GET
/api/v1/organizations
curl -X GET "https://example.rossum.app/api/v1/organizations?id=406&name=East+West+Trading+Co&include_membership_organizations=true"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "id": 406,
      "name": "East West Trading Co",
      "url": "https://example.rossum.app/api/v1/organizations/406",
      "workspaces": [
        "https://example.rossum.app/api/v1/workspaces/7540"
      ],
      "users": [
        "https://example.rossum.app/api/v1/users/10775"
      ],
      "organization_group": "string",
      "ui_settings": {},
      "metadata": {
        "some_key": "some_value"
      },
      "is_trial": true,
      "created_at": "2019-09-02T14:28:11.000000Z",
      "trial_expires_at": "2020-09-02T14:28:11.000000Z",
      "oidc_provider": null,
      "internal_info": {
        "cs_account_classification": null,
        "customer_type": null,
        "market_category": null,
        "overdue_payment_date": null,
        "sso_active": false
      },
      "creator": "https://example.rossum.app/api/v1/users/10775",
      "modified_by": "https://example.rossum.app/api/v1/users/10775",
      "modified_at": "2021-04-26T10:08:03.856648Z",
      "settings": {},
      "sandbox": false
    }
  ]
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization

GET api / v1 / organizations / {organizationID}

Get an organization object.

GET
/api/v1/organizations/{organizationID}
curl -X GET "https://example.rossum.app/api/v1/organizations/406"
{
  "id": 406,
  "name": "East West Trading Co",
  "url": "https://example.rossum.app/api/v1/organizations/406",
  "workspaces": [
    "https://example.rossum.app/api/v1/workspaces/7540"
  ],
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "organization_group": "string",
  "ui_settings": {},
  "metadata": {
    "some_key": "some_value"
  },
  "is_trial": true,
  "created_at": "2019-09-02T14:28:11.000000Z",
  "trial_expires_at": "2020-09-02T14:28:11.000000Z",
  "oidc_provider": null,
  "internal_info": {
    "cs_account_classification": null,
    "customer_type": null,
    "market_category": null,
    "overdue_payment_date": null,
    "sso_active": false
  },
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "sandbox": false
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Partial update organization

PATCH api / v1 / organizations / {organizationID}

Update part of organization object. Writable fields are ui_settings, metadata, and settings; all other fields are read-only.

PATCH
/api/v1/organizations/{organizationID}
curl -X PATCH "https://example.rossum.app/api/v1/organizations/406" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 406,
  "name": "East West Trading Co",
  "url": "https://example.rossum.app/api/v1/organizations/406",
  "workspaces": [
    "https://example.rossum.app/api/v1/workspaces/7540"
  ],
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "organization_group": "string",
  "ui_settings": {},
  "metadata": {
    "some_key": "some_value"
  },
  "is_trial": true,
  "created_at": "2019-09-02T14:28:11.000000Z",
  "trial_expires_at": "2020-09-02T14:28:11.000000Z",
  "oidc_provider": null,
  "internal_info": {
    "cs_account_classification": null,
    "customer_type": null,
    "market_category": null,
    "overdue_payment_date": null,
    "sso_active": false
  },
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "sandbox": false
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the organization (not visible in UI).

organization_group
URL

URL to organization group the organization belongs to.

ui_settings
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
settings
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox
boolean

Specifies if the organization is a sandbox.

Default: false

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Update organization

PUT api / v1 / organizations / {organizationID}

Update organization object. Writable fields are ui_settings, metadata, and settings; all other fields are read-only.

PUT
/api/v1/organizations/{organizationID}
curl -X PUT "https://example.rossum.app/api/v1/organizations/406" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 406,
  "name": "East West Trading Co",
  "url": "https://example.rossum.app/api/v1/organizations/406",
  "workspaces": [
    "https://example.rossum.app/api/v1/workspaces/7540"
  ],
  "users": [
    "https://example.rossum.app/api/v1/users/10775"
  ],
  "organization_group": "string",
  "ui_settings": {},
  "metadata": {
    "some_key": "some_value"
  },
  "is_trial": true,
  "created_at": "2019-09-02T14:28:11.000000Z",
  "trial_expires_at": "2020-09-02T14:28:11.000000Z",
  "oidc_provider": null,
  "internal_info": {
    "cs_account_classification": null,
    "customer_type": null,
    "market_category": null,
    "overdue_payment_date": null,
    "sso_active": false
  },
  "creator": "https://example.rossum.app/api/v1/users/10775",
  "modified_by": "https://example.rossum.app/api/v1/users/10775",
  "modified_at": "2021-04-26T10:08:03.856648Z",
  "settings": {},
  "sandbox": false
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
name
string

Name of the organization (not visible in UI).

organization_group
URL

URL to organization group the organization belongs to.

ui_settings
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
settings
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox
boolean

Specifies if the organization is a sandbox.

Default: false

Response

200OK

OK

Attribute
Type
Description
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false
400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Create organization

POST api / v1 / organizations / create

Create new organization and related objects (workspace, queue, user, schema, inbox, domain).

You need a create_key in order to create an organization. Please contact support@rossum.ai to obtain one.

Selected template_name affects default schema and extracted fields. Please note that the demo templates may be updated as new features are introduced.

List of available templates:

Template nameDescriptionIs demo
Empty Organization TemplateEmpty organization, suitable for further customizationno
CZ Demo TemplateCzech standard invoicesyes
Tax Invoice EU Demo TemplateVAT Invoices, Credit Notes, Debit Notes, Purchase/Sales Orders, Receipts, and Pro Formas coming from the EUyes
Tax Invoice US Demo TemplateTax Invoices, Credit Notes, Debit Notes, Purchase/Sales Orders, Receipts, and Pro Formas coming from the USyes
Tax Invoice UK Demo TemplateVAT Invoices, Credit Notes, Debit Notes, Purchase/Sales Orders, Receipts, and Pro Formas coming from the UK, India, Canada, or Australiayes
Delivery Note Demo TemplateDelivery Notesyes
Tax Invoice CN Demo Templategovernmental Tax Invoices from Mainland China (fapiaos)yes
Certificates of Analysis Demo TemplateCertificates of Analysis that are quality control documents common in the food and beverage industryyes
POST
/api/v1/organizations/create
curl -X POST "https://example.rossum.app/api/v1/organizations/create" \  -H "Content-Type: application/json" \  -d '{    "template_name": "Tax Invoice UK Demo Template",    "organization_name": "East West Trading Co",    "user_fullname": "John Doe",    "user_email": "john@east-west-trading.com",    "create_key": "13156106d6f185df24648ac7ff20f64f1c5c06c144927be217189e26f8262c4a"  }'
{
  "organization": {
    "id": 406,
    "name": "East West Trading Co",
    "url": "https://example.rossum.app/api/v1/organizations/406",
    "workspaces": [
      "https://example.rossum.app/api/v1/workspaces/7540"
    ],
    "users": [
      "https://example.rossum.app/api/v1/users/10775"
    ],
    "organization_group": "string",
    "ui_settings": {},
    "metadata": {
      "some_key": "some_value"
    },
    "is_trial": true,
    "created_at": "2019-09-02T14:28:11.000000Z",
    "trial_expires_at": "2020-09-02T14:28:11.000000Z",
    "oidc_provider": null,
    "internal_info": {
      "cs_account_classification": null,
      "customer_type": null,
      "market_category": null,
      "overdue_payment_date": null,
      "sso_active": false
    },
    "creator": "https://example.rossum.app/api/v1/users/10775",
    "modified_by": "https://example.rossum.app/api/v1/users/10775",
    "modified_at": "2021-04-26T10:08:03.856648Z",
    "settings": {},
    "sandbox": false
  },
  "key": "e7c4ddd996d8e92bdf780b9f0dfe8e4cd17f0c6e",
  "domain": "example.rossum.app",
  "code": "abc123def456"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
template_name*
"Empty Organization Template" | "CZ Demo Template" | "Tax Invoice EU Demo Template" | "Tax Invoice US Demo Template" | "Tax Invoice UK Demo Template" | "Delivery Note Demo Template" | "Tax Invoice CN Demo Template" | "Certificates of Analysis Demo Template"

Template to use for new organization.

organization_name*
string

Name of the organization. Will be also used as a base for inbox e-mail address.

user_fullname*
string

Full user name.

user_email*
string (email)

Valid email of the user (also used as Rossum login).

user_password
string

Initial user password. If not provided, password will be generated.

user_ui_settings
object

Initial UI settings.

Default: {"locale":"en"}
create_key*
string

A key that allows to create an organization.

Response

201Created

Created

Attribute
Type
Description
organization*
id*
read-only
integer

ID of the organization.

name*
string

Name of the organization (not visible in UI).

url*
read-only
URL

URL of the organization.

workspaces*
read-only
list[URL]

List of workspaces objects in the organization.

users*
read-only
list[URL]

List of users in the organization.

organization_group*
URL

URL to organization group the organization belongs to.

ui_settings*
object

Organization-wide frontend UI settings (e.g. locales). Rossum internal.

Default: {}
metadata*
object

Client data. May be used to store e.g. external system object IDs. See Metadata for more details.

Default: {}
is_trial*
read-only
boolean

Property indicates whether this license is a trial license.

created_at*
read-only
datetime

Timestamp for when the organization was created.

trial_expires_at
read-only
datetime

Timestamp for when the trial period ended (ISO 8601).

oidc_provider
deprecatedread-only
string | null

(Deprecated) OpenID Connect provider name.

internal_info
read-only
object | null

INTERNAL Rossum internal information on organization.

creator
read-only
URL

URL of the first user of the organization (set during organization creation).

modified_by*
read-only
URL

User that last modified the object.

modified_at*
read-only
datetime

Timestamp of last modification.

settings*
object

Settings of the organization.

Default: {}
annotation_list_table
object

Configuration of annotation dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on annotation list.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

request_dashboard_table
object

Configuration of request dashboard columns.

Default: {}
columns
list[object]

Configuration of columns on request dashboard.

Default: []
visible
boolean

Column is visible on the dashboard.

width
number (float)

Width of the column.

column_type
"meta" | "schema"

Type of the field (meta - annotation meta field, schema - annotation content field).

schema_id
string

schema_id of the extracted field (only for column_type=schema).

data_type
"date" | "number" | "string" | "boolean"

Data type of the extracted field (only for column_type=schema). Allowed values are date, number, string, boolean.

meta_type
string

Meta column type (only for column_type=meta). Allowed values can be found in meta_field table (+ additionally details).

sandbox*
boolean

Specifies if the organization is a sandbox.

Default: false
key*
string

Authentication token for the newly created user.

domain*
string

Domain of the newly created organization.

code*
string

One-time login token for the newly created user.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Export organization billing history

GET api / v1 / organizations / {organizationID} / billing_history / export

Download the data provided by the billing history response resource in a CSV output.

GET
/api/v1/organizations/{organizationID}/billing_history/export
curl -X GET "https://example.rossum.app/api/v1/organizations/406/billing_history/export"
"begin_date,end_date,purchased_pages,billable_pages,non_billable_pages,purchased_documents,billable_documents,non_billable_documents,extracted_pages_with_learning,extracted_pages_without_learning,split_pages_with_learning,split_pages_without_learning,extracted_documents_with_learning,extracted_documents_without_learning,split_documents_with_learning,split_documents_without_learning,ocr_only_pages,ocr_only_documents,purchased_extracted_pages_with_learning,purchased_extracted_pages_without_learning,purchased_split_pages_with_learning,purchased_split_pages_without_learning,purchased_extracted_documents_with_learning,purchased_extracted_documents_without_learning,purchased_split_documents_with_learning,purchased_split_documents_without_learning,purchased_ocr_only_pages,purchased_ocr_only_documents\n2021-01-01,2022-12-31,555,34735,100,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\n"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK - CSV file download

responsestring

CSV file containing billing history data.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Export organization billing stats

POST api / v1 / organizations / {organizationID} / billing_stats / export

Download the data provided by the billing stats response resource in a CSV output.

POST
/api/v1/organizations/{organizationID}/billing_stats/export
curl -X POST "https://example.rossum.app/api/v1/organizations/406/billing_stats/export" \  -H "Content-Type: application/json" \  -d '{    "filters": {      "queues": [        "https://example.rossum.app/api/v1/queues/12345"      ],      "begin_date": "2021-10-01",      "end_date": "2022-09-30"    },    "group_by": [      "month"    ]  }'
"begin_date,end_date,billable_pages,non_billable_pages,billable_documents,non_billable_documents\n2021-10-01,2021-10-31,27,0,32,0\n2021-11-01,2021-11-30,159,0,147,9\n"
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
filters
object

Filters used for the computation of billed items counts.

queues
list[URL]

Filter billed items for the specified queues (or null for historically deleted queues) to be counted in the report.

begin_date
string (date)

Filter billed items that was issued since the specified date (including the specified date) to be counted to the report.

end_date
string (date)

Filter billed items that was issued up to the specified date (including the specified date) to be counted to the report.

group_by
list["queue" | "month" | "week"]

List of attributes by which the results are to be grouped. Only a single value is supported.

Response

200OK

OK - CSV file download

responsestring

CSV file containing billing stats data.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Generate organization token

POST api / v1 / auth / membership_token

Generate token for access to membership and primary organizations. If the user is a group administrator, token can be generated for any organization in his organization group.

POST
/api/v1/auth/membership_token
curl -X POST "https://example.rossum.app/api/v1/auth/membership_token" \  -H "Content-Type: application/json" \  -d '{    "organization": "https://example.rossum.app/api/v1/organizations/406"  }'
{
  "key": "b6dde6e6280c697bc4afac7f920c5cee8c9c9t7d",
  "organization": "https://example.rossum.app/api/v1/organizations/406"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
organization*
URL

URL to the organization to which the token will have access.

Response

200OK

OK

Attribute
Type
Description
key
string

Authorization token belonging to requested organization.

organization
URL

Organization URL.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

POST api / v1 / organizations / {organizationID} / billing

In order to obtain an overview of the billed items, you can get basic billing statistics.

This endpoint is deprecated in favor of billing stats for organization and may return inaccurate results.

Please note that data are accurate starting on June 1st 2021.

POST
/api/v1/organizations/{organizationID}/billing
curl -X POST "https://example.rossum.app/api/v1/organizations/406/billing" \  -H "Content-Type: application/json" \  -d '{}'
{
  "series": [
    {
      "begin_date": "2019-02-01",
      "end_date": "2019-02-01",
      "queue": "https://example.rossum.app/api/v1/queues/8198",
      "values": {
        "header_fields_per_page": 2,
        "header_fields_per_document": 5,
        "header_fields_and_line_items_per_page": 9,
        "header_fields_and_line_items_per_document": 20
      }
    }
  ],
  "totals": {
    "header_fields_per_page": 8,
    "header_fields_per_document": 16,
    "header_fields_and_line_items_per_page": 20,
    "header_fields_and_line_items_per_document": 43
  }
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
filter
object

Filters used for the computation of billed items counts.

queues
list[URL]

Filter billed items for the specified queues to be counted to the report.

begin_date
string (date)

Filter billed items that was issued since the specified date.

end_date
string (date)

Filter billed items that was issued up to the specified date.

group_by
list["queue"]

List of attributes by which the series is to be grouped.

Response

200OK

OK

Attribute
Type
Description
series
list[object]

Series contain information grouped by fields defined in group_by. Only grouping by queue is allowed. The data are wrapped in values object, and accompanied by the values of attributes that were used for grouping.

begin_date
string (date)

Start date of the documents with billed items within the group.

end_date
string (date)

Final date of the documents with billed items within the group.

queue
URL

Queue of billed pages or documents.

values
object

Contains the data of totals list grouped by queue and date.

header_fields_per_page
integer

Number of pages that were processed by Rossum AI Engine and where only header fields were supposed to be captured.

header_fields_per_document
integer

Number of documents that were processed by Rossum AI Engine and where only header fields were supposed to be captured.

header_fields_and_line_items_per_page
integer

Number of pages that were processed by Rossum AI Engine and where line item fields were supposed to be captured.

header_fields_and_line_items_per_document
integer

Number of documents that were processed by Rossum AI Engine and where line item fields were supposed to be captured.

totals
object

Summary information for the whole period (between begin_date and end_date).

header_fields_per_page
integer

Number of pages that were processed by Rossum AI Engine and where only header fields were supposed to be captured.

header_fields_per_document
integer

Number of documents that were processed by Rossum AI Engine and where only header fields were supposed to be captured.

header_fields_and_line_items_per_page
integer

Number of pages that were processed by Rossum AI Engine and where line item fields were supposed to be captured.

header_fields_and_line_items_per_document
integer

Number of documents that were processed by Rossum AI Engine and where line item fields were supposed to be captured.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization billing history

GET api / v1 / organizations / {organizationID} / billing_history

Retrieve billing history with entries corresponding to individual contracted periods. The value purchased_documents or purchased_pages define the period billing unit.

GET
/api/v1/organizations/{organizationID}/billing_history
curl -X GET "https://example.rossum.app/api/v1/organizations/406/billing_history"
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "begin_date": "2021-01-01",
      "end_date": "2022-12-31",
      "values": {
        "billable_documents": 32,
        "billable_pages": 27,
        "non_billable_documents": 0,
        "non_billable_pages": 0,
        "purchased_documents": 0,
        "purchased_pages": 555,
        "extracted_pages_with_learning": 0,
        "extracted_pages_without_learning": 0,
        "split_pages_with_learning": 0,
        "split_pages_without_learning": 0,
        "extracted_documents_with_learning": 0,
        "extracted_documents_without_learning": 0,
        "split_documents_with_learning": 0,
        "split_documents_without_learning": 0,
        "ocr_only_pages": 0,
        "ocr_only_documents": 0,
        "purchased_extracted_pages_with_learning": 0,
        "purchased_extracted_pages_without_learning": 0,
        "purchased_split_pages_with_learning": 0,
        "purchased_split_pages_without_learning": 0,
        "purchased_extracted_documents_with_learning": 0,
        "purchased_extracted_documents_without_learning": 0,
        "purchased_split_documents_with_learning": 0,
        "purchased_split_documents_without_learning": 0,
        "purchased_ocr_only_pages": 0,
        "purchased_ocr_only_documents": 0,
        "is_current": true
      }
    }
  ],
  "totals": {
    "billable_documents": 32,
    "billable_pages": 27,
    "non_billable_documents": 0,
    "non_billable_pages": 0,
    "purchased_documents": 0,
    "purchased_pages": 555,
    "extracted_pages_with_learning": 0,
    "extracted_pages_without_learning": 0,
    "split_pages_with_learning": 0,
    "split_pages_without_learning": 0,
    "extracted_documents_with_learning": 0,
    "extracted_documents_without_learning": 0,
    "split_documents_with_learning": 0,
    "split_documents_without_learning": 0,
    "ocr_only_pages": 0,
    "ocr_only_documents": 0,
    "purchased_extracted_pages_with_learning": 0,
    "purchased_extracted_pages_without_learning": 0,
    "purchased_split_pages_with_learning": 0,
    "purchased_split_pages_without_learning": 0,
    "purchased_extracted_documents_with_learning": 0,
    "purchased_extracted_documents_without_learning": 0,
    "purchased_split_documents_with_learning": 0,
    "purchased_split_documents_without_learning": 0,
    "purchased_ocr_only_pages": 0,
    "purchased_ocr_only_documents": 0
  },
  "updated_at": "2022-09-01"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[object]
begin_date
string (date)

Begin date of the billing period.

end_date
string (date)

End date of the billing period.

values
object

Billing values for a specific period or grouping.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

is_current
boolean

Whether this is the current billing period.

totals
billing_history_totals

Total billing values across all periods or groupings.

billable_documents
integer

Number of billable documents.

billable_pages
integer

Number of billable pages.

non_billable_documents
integer

Number of non-billable documents.

non_billable_pages
integer

Number of non-billable pages.

purchased_documents
integer

Number of purchased documents.

purchased_pages
integer

Number of purchased pages.

extracted_pages_with_learning
integer

Number of extracted pages with learning.

extracted_pages_without_learning
integer

Number of extracted pages without learning.

split_pages_with_learning
integer

Number of split pages with learning.

split_pages_without_learning
integer

Number of split pages without learning.

extracted_documents_with_learning
integer

Number of extracted documents with learning.

extracted_documents_without_learning
integer

Number of extracted documents without learning.

split_documents_with_learning
integer

Number of split documents with learning.

split_documents_without_learning
integer

Number of split documents without learning.

ocr_only_pages
integer

Number of OCR-only pages.

ocr_only_documents
integer

Number of OCR-only documents.

purchased_extracted_pages_with_learning
integer

Number of purchased extracted pages with learning.

purchased_extracted_pages_without_learning
integer

Number of purchased extracted pages without learning.

purchased_split_pages_with_learning
integer

Number of purchased split pages with learning.

purchased_split_pages_without_learning
integer

Number of purchased split pages without learning.

purchased_extracted_documents_with_learning
integer

Number of purchased extracted documents with learning.

purchased_extracted_documents_without_learning
integer

Number of purchased extracted documents without learning.

purchased_split_documents_with_learning
integer

Number of purchased split documents with learning.

purchased_split_documents_without_learning
integer

Number of purchased split documents without learning.

purchased_ocr_only_pages
integer

Number of purchased OCR-only pages.

purchased_ocr_only_documents
integer

Number of purchased OCR-only documents.

updated_at
string (date)

Date when the billing history was last updated.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

Retrieve organization billing stats

POST api / v1 / organizations / {organizationID} / billing_stats

In order to obtain an overview of the billed items, you can get basic billing statistics.

The billing unit (pages or documents) is defined in the contract.

POST
/api/v1/organizations/{organizationID}/billing_stats
curl -X POST "https://example.rossum.app/api/v1/organizations/406/billing_stats" \  -H "Content-Type: application/json" \  -d '{}'
{
  "pagination": {
    "next": null,
    "previous": null
  },
  "results": [
    {
      "begin_date": "2021-01-01",
      "end_date": "2022-12-31",
      "organization": "https://example.rossum.app/api/v1/organizations/406",
      "queue": "https://example.rossum.app/api/v1/queues/8198",
      "values": {
        "billable_documents": 13,
        "billable_pages": 7,
        "non_billable_documents": 0,
        "non_billable_pages": 0
      }
    }
  ],
  "totals": {
    "billable_documents": 21288,
    "billable_pages": 30204,
    "non_billable_documents": 81,
    "non_billable_pages": 5649
  },
  "updated_at": "2022-09-01"
}
{
  "detail": "Bad Request.",
  "code": "bad_request"
}
{
  "detail": "Invalid token.",
  "code": "authentication_failed"
}
{
  "detail": "Access to the requested resource is forbidden.",
  "code": "access_forbidden"
}
{
  "detail": "Not found.",
  "code": "not_found"
}
{
  "detail": "Conflict.",
  "code": "conflict_status"
}
{
  "detail": "Payload Too Large.",
  "code": "payload_too_large"
}
{
  "detail": "Request was rate limited.",
  "code": "rate_limited",
  "url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}
{
  "detail": "Server error.",
  "code": "error"
}
{
  "detail": "Bad Gateway.",
  "code": "bad_gateway"
}
{
  "detail": "Service Unavailable.",
  "code": "service_unavailable"
}
{
  "detail": "Gateway timeout.",
  "code": "gateway_timeout"
}

Request Body

application/json

Attribute
Type
Description
filters
object

Filters used for the computation of billed items counts.

queues
list[URL]

Filter billed items for the specified queues (or null for historically deleted queues) to be counted in the report.

begin_date
string (date)

Filter billed items that was issued since the specified date (including the specified date) to be counted to the report.

end_date
string (date)

Filter billed items that was issued up to the specified date (including the specified date) to be counted to the report.

group_by
list["queue" | "month" | "week"]

List of attributes by which the results are to be grouped. Only a single value is supported.

order_by
list["billable_pages" | "billable_documents" | "non_billable_pages" | "non_billable_documents"]

List of attributes by which the results are to be ordered.

Response

200OK

OK

Attribute
Type
Description
pagination*
pagination
next
URL

URL for the next page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the next page — do not attempt to construct or modify the cursor value.

previous
URL

URL for the previous page of results. Contains an opaque signed cursor query parameter. Use this URL directly to fetch the previous page — do not attempt to construct or modify the cursor value.

results*
list[object]
begin_date
string (date)

Begin date of the billing period.

end_date
string (date)

End date of the billing period.

organization
URL

Billed pages or documents Organization.

queue
URL

Billed pages or documents Queue.

values
object

Contains the data of totals list grouped by the group_by.

billable_documents
integer

Number of documents billed.

billable_pages
integer

Number of pages billed.

non_billable_documents
integer

Number of documents that were received but not billed.

non_billable_pages
integer

Number of pages that were received but not billed.

totals
object

Summary information for the whole period (between begin_date and end_date).

billable_documents
integer

Number of documents billed.

billable_pages
integer

Number of pages billed.

non_billable_documents
integer

Number of documents that were received but not billed.

non_billable_pages
integer

Number of pages that were received but not billed.

updated_at
string (date)

Date when the billing stats were last updated.

400Bad Request

Invalid input data.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

401Unauthorized

The username/password is invalid or token is invalid (e.g. expired).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

403Forbidden

Insufficient permission, missing authentication, invalid CSRF token and similar issue.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

404Not Found

The specified resource was not found.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

409Conflict

Conflict

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

413

Payload too large (especially for files uploaded).

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

429Too Many Requests

Request rate is too high, wait before sending more requests. See Rate Limiting for more details.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

url
read-only
string

Link to the rate limiting documentation

500Internal Server Error

Server failure while processing the request.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

502Bad Gateway

Invalid response from the upstream server.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

503Service Unavailable

We're temporarily offline for maintenance. Please try again later.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error

504

Upstream server could not complete the request in time.

Attribute
Type
Description
detail
read-only
string

Detail of the error

code
read-only
string

Code of the error